Bug 467481 - Cups update breaks printing via samba [NEEDINFO]
Cups update breaks printing via samba
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 13:38 EDT by Cory
Modified: 2009-07-14 10:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
twaugh: needinfo? (coryj)


Attachments (Terms of Use)

  None (edit)
Description Cory 2008-10-17 13:38:38 EDT
Description of problem:
After upgrading cups on a system with SElinux set to enforcing mode, printing from SMB clients no longer works.  AVC alerts are generated.  (audit.log contents listed below in "Additional info" section)

Version-Release number of selected component (if applicable):
cups-1.3.9-1.fc9.i386

How reproducible:
Install latest patches/updates on a system with SMB printing enabled and with SElinux set to enforcing mode.

Steps to Reproduce:
1. Have samba printing correctly to a cups printer.
2. Install cups update
3. Unable to print despite reboot
  
Actual results:
Can't print. AVC/SElinux alerts generated.

Expected results:
Can print.

Additional info:
/var/log/audit/audit.log has:
type=AVC msg=audit(1224260870.479:1181): avc:  denied  { connectto } for  pid=23825 comm="smbd" path="/var/run/cups/cups.sock" scontext=unconfined_u:system_r:smbd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SYSCALL msg=audit(1224260870.479:1181): arch=40000003 syscall=102 success=no exit=-13 a0=3 a1=bfb9b410 a2=2b0608 a3=b94643bc items=0 ppid=23670 pid=23825 auid=1000 uid=0 gid=0 euid=0 suid=1000 fsuid=0 egid=0 sgid=1000 fsgid=0 tty=(none) ses=1 comm="smbd" exe="/usr/sbin/smbd" subj=unconfined_u:system_r:smbd_t:s0 key=(null)

Can use audit2allow/semodule to make it work, however, this appears to give samba the ability to connect to *any* stream socket and not just the cups socket.

restorecon -r /var/run/cups/cups.sock 
does not correct problem.
Comment 1 Tim Waugh 2008-10-20 09:42:26 EDT
Does 'chcon -t cupsd_var_run_t /var/run/cups/cups.sock' fix it?

I haven't been able to reproduce this yet.
Comment 2 Bug Zapper 2009-06-09 23:00:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:55:28 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.